<form nz-form [formGroup]='form' style='margin-bottom: 8px'>
  <div nz-row [nzGutter]='[30,30]'>
    <!--    Form tìm kiếm -->

    <!--Tên HĐ-->
    <div nz-col nzXs='12' nzLg='8'>
      <mb-input-text formControlName='name' [mbMaxLength]='200'
                     mbPlaceholderText="{{'partnership.pns-contract.contractTypes.name' | translate}}"
                     mbLabelText="{{'partnership.pns-contract.contractTypes.name' | translate}}"></mb-input-text>
    </div>

    <!--Đối tượng-->
    <div nz-col nzXs='12' nzLg='8'>
      <mb-select-check-able
        [mbKeyValueStringType]="true"
        [mbShowAction]="false"
        mbPlaceholder="{{'partnership.pns-contract.contractTypes.empTypeName' | translate}}"
        [mbDataSelects]='listEmpType'
        (mbEventEmit)="setFormValue($event, 'listEmpTypeCode')"
        mbLabelText="{{'partnership.pns-contract.contractTypes.empTypeName' | translate}}"
        formControlName='listEmpTypeCode'></mb-select-check-able>
    </div>

    <!--Phân loa HĐ-->
    <div nz-col nzXs='12' nzLg='8'>
      <mb-select-check-able formControlName='listClassifyCode'
                            [mbKeyValueStringType]="true"
                            [mbShowAction]="false"
                            [mbDataSelects]='listClassify'
                            (mbEventEmit)="setFormValue($event, 'listClassifyCode')"
                            mbPlaceholder="{{'partnership.pns-contract.contractTypes.classifyName' | translate }}"
                            mbLabelText="{{'partnership.pns-contract.contractTypes.classifyName' | translate}}"></mb-select-check-able>
    </div>

    <!--    End Form tìm kiếm-->
  </div>
  <div nz-row [nzGutter]='[30,30]'>
    <div nz-col nzXs='24' nzLg='24'>
      <ng-content select='.btn'></ng-content>
    </div>
  </div>
</form>

